Page MenuHomePhabricator

UserMerge is missing messages for log entries
Closed, ResolvedPublic

Description

UserMerge has two logs: mergeuser and deleteuser. However, the needed messages (logentry-usermerge-deleteuser and logentry-usermerge-mergeuser) aren't defined. See for instance this link. I'd add the messages myself but I don't know this extension at all.

Event Timeline

Daimona created this task.Sep 12 2018, 9:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2018, 9:18 AM
Florian claimed this task.Sep 16 2018, 6:43 PM
Florian added a subscriber: Florian.

Found this issue, too, I'll add these messages in a patch and upload it in a second :)

Change 460764 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/extensions/UserMerge@master] Add logentry i18n messages for merge and deleteuser

https://gerrit.wikimedia.org/r/460764

I made two (one, two) changes that might be related to this. @Florian Shall we also update the extension.json file where both log keys are defined as well? Thanks.

Change 461292 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/UserMerge@master] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/461292

This comment was removed by PlavorSeol.

Change 461292 merged by jenkins-bot:
[mediawiki/extensions/UserMerge@master] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/461292

Hi @Kghbln - Does the patch merged above addresses the issue? Is it possible for you to test it? Best regards.

Kghbln added a comment.EditedJan 2 2019, 6:11 PM

<s>No, unfortunately not. After upgrading to latest master from ceceb6f... to 8e3e639... the system message still does not show. See the log.</s>

Indeed, it does fix the issue. Thanks!

Kghbln closed this task as Resolved.Jan 2 2019, 6:21 PM

Change 460764 abandoned by Matěj Suchánek:
Add logentry i18n messages for merge and deleteuser

Reason:
Reworked in Ia17d099711d73cf2a1075e1f758fdd1271b02979

https://gerrit.wikimedia.org/r/460764

Change 484025 had a related patch set uploaded (by Paladox; owner: Matěj Suchánek):
[mediawiki/extensions/UserMerge@REL1_32] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/484025

Change 484025 merged by jenkins-bot:
[mediawiki/extensions/UserMerge@REL1_32] Migrate UserMerge to modern logging system

https://gerrit.wikimedia.org/r/484025